Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class DoneInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.TemplateNodeInfo
                  |
                  +--com.bea.wlpi.common.plugin.DoneInfo

public class DoneInfo
extends TemplateNodeInfo

Provides information about a done node type defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginDone`, Serialized Form

Field Summary
`static int` | `KEY_DATA` Key value to retrieve the `PluginData` implementation class name.
`static int` | `KEY_DONE` Key value to retrieve the `PluginDone` implementation class name.
`static int` | `KEY_PANEL` Key value to retrieve the `PluginPanel` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`DoneInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, java.lang.String[] classNames)` Create a new `DoneInfo`.
`DoneInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, java.lang.String[] classNames)` Deprecated. To avoid using java.awt library.

Methods inherited from class com.bea.wlpi.common.plugin.TemplateNodeInfo
`getIcon`

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_DATA

    public static final int KEY_DATA

  Key value to retrieve the `PluginData` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginPanel` implementation class name.

### KEY_DONE

    public static final int KEY_DONE

  Key value to retrieve the `PluginDone` implementation class name.

Constructor Detail

### DoneInfo

    public DoneInfo(java.lang.String pluginName,
                    int ID,
                    java.lang.String name,
                    java.lang.String description,
                    javax.swing.Icon icon,
                    java.lang.String[] classNames)

  Deprecated. To avoid using java.awt library.
  Create a new `DoneInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this done type.
    `ID` - The unique plugin-supplied identifier for this done type.
    `name` - The localized name of this done type.
    `description` - The localized description of this done type.
    `icon` - The icon for this done type. This icon is used by the 'interface view' in the design-time client.
    `classNames` - A three-element array to identify plugin-supplied classes related to this `DoneInfo`. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.

### DoneInfo

    public DoneInfo(java.lang.String pluginName,
                    int ID,
                    java.lang.String name,
                    java.lang.String description,
                    byte[] iconByteArray,
                    java.lang.String[] classNames)

  Create a new `DoneInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this done type.
    `ID` - The unique plugin-supplied identifier for this done type.
    `name` - The localized name of this done type.
    `description` - The localized description of this done type.
    `iconByteArray` - The byte array representation of graphical image for this done type. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this `DoneInfo`. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)